Passer au contenu principal
GET
/
crypto
/
rpc
/
networks
List supported crypto RPC networks
curl --request GET \
  --url https://api.venice.ai/api/v1/crypto/rpc/networks
import requests

url = "https://api.venice.ai/api/v1/crypto/rpc/networks"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.venice.ai/api/v1/crypto/rpc/networks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "networks": [
    "arbitrum-mainnet",
    "arbitrum-sepolia",
    "avalanche-fuji",
    "avalanche-mainnet",
    "base-mainnet",
    "base-sepolia",
    "bsc-mainnet",
    "bsc-testnet",
    "ethereum-holesky",
    "ethereum-mainnet",
    "ethereum-sepolia",
    "linea-mainnet",
    "linea-sepolia",
    "optimism-mainnet",
    "optimism-sepolia",
    "polygon-amoy",
    "polygon-mainnet",
    "starknet-mainnet",
    "starknet-sepolia",
    "zksync-mainnet",
    "zksync-sepolia"
  ]
}
Renvoie la liste triée par ordre alphabétique des slugs de réseau pris en charge par le proxy RPC crypto de Venice. Utilisez ceci pour découvrir quelles valeurs :network sont valides pour POST /crypto/rpc/{network}. Cet endpoint est public — aucune clé API ni authentification par portefeuille requise.

Format de la réponse

{
  "networks": [
    "arbitrum-mainnet",
    "arbitrum-sepolia",
    "avalanche-fuji",
    "avalanche-mainnet",
    "base-mainnet",
    "base-sepolia",
    "bsc-mainnet",
    "bsc-testnet",
    "ethereum-holesky",
    "ethereum-mainnet",
    "ethereum-sepolia",
    "linea-mainnet",
    "linea-sepolia",
    "optimism-mainnet",
    "optimism-sepolia",
    "polygon-amoy",
    "polygon-mainnet",
    "starknet-mainnet",
    "starknet-sepolia",
    "zksync-mainnet",
    "zksync-sepolia"
  ]
}
La liste fait autorité — si un slug n’y figure pas, l’endpoint proxy renvoie 400 Unsupported RPC network.

Réponse

200 - application/json

The list of supported network slugs.

networks
string[]
requis

Sorted Venice-side network slugs.

Exemple:
[
  "arbitrum-mainnet",
  "arbitrum-sepolia",
  "avalanche-fuji",
  "avalanche-mainnet",
  "base-mainnet",
  "base-sepolia",
  "bsc-mainnet",
  "bsc-testnet",
  "ethereum-holesky",
  "ethereum-mainnet",
  "ethereum-sepolia",
  "linea-mainnet",
  "linea-sepolia",
  "optimism-mainnet",
  "optimism-sepolia",
  "polygon-amoy",
  "polygon-mainnet",
  "starknet-mainnet",
  "starknet-sepolia",
  "zksync-mainnet",
  "zksync-sepolia"
]